<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<style type="text/css">
.navigation {
  display: flex;
  flex-flow: row wrap; /* 가로로 나열, 범위 넘어가면 다음 줄로 */
  justify-content: flex-end; /* 오른쪽으로 정렬 */
  list-style: none;
  margin: 0; 
  background: deepskyblue;
}

.navigation a {
  text-decoration: none;
  display: block;
  padding: 1em;
  color: white;
  background-color: blue;
}

.navigation a:hover {
  background: #1565C0;
}

/* 600 < all <= 800 */
@media all and (max-width: 800px) {
  .navigation {
    justify-content: space-around; /* 아이템 사이와 양 사이드에 여백을 줌. 우측 정렬이지만 여백때문에 가운데 정렬로 보임 */
  }
}

@media all and (max-width: 600px) {
  .navigation {
    flex-flow: column wrap; /* 세로로 나열, 범위 넘어가면 다음 줄로 */
    padding: 0;
  }
  .navigation a { 
    text-align: center; 
    padding: 10px;
    border-top: 1px solid rgba(255, 255, 255,0.3); 
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }
  .navigation li:last-of-type a {
    border-bottom: none;
  }
}
</style>
</head>
<body>
	<div class="container">
		<ul class="navigation">
			<li><a href="#">Home</a></li>
			<li><a href="#">About</a></li>
			<li><a href="#">Products</a></li>
			<li><a href="#">Contact</a></li>
		</ul>
	</div>
</body>
</html>